package org.jeecg.modules.deliver.cmos.job.task;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.digital.task.fpsc.FpscCxTaskService;
import org.jeecg.modules.deliver.cmos.job.CmosConstants;
import org.jeecg.modules.deliver.cmos.job.CmosTask;
import org.springframework.stereotype.Component;

@Slf4j
@RequiredArgsConstructor
@Component
public class CmosFpscjgcxTask implements CmosTask {

    final FpscCxTaskService fpscCxTaskService;

    @Override
    public String getType() {
        return CmosConstants.FP_SCJGCX;
    }

    @Override
    public void execute() throws Exception {
        fpscCxTaskService.execute();
    }
}
